#ifndef _MGC_8ECP_H
#define _MGC_8ECP_H
#include "mgc_struct.h"

#define MGC_8ECP_MAX_TRK_PER_MG		8

int mgc_bind_8ecp_setup(void);
int mgc_8ecp_update_trk_status(BYTE mgNo, BYTE trkNo, BYTE status);
int mgc_8ecp_update_mg_status(BYTE mgNo, BYTE status);
BOOL mgc_8ecp_create(MG_INFO *pMgInfo , MG_ATTR *pMgAttr);
BOOL mgc_8ecp_delete(MG_INFO *pMgInfo);
BOOL mgc_8ecp_dlcx_chnl(CHNL chnl);
BOOL mgc_8ecp_connect_chnl(CHNL orgChnl, CHNL destChnl, BYTE flag);
BOOL mgc_8ecp_connect_dtmf(CHNL orgChnl, CHNL destChnl, BYTE digit);
BOOL mgc_8ecp_connect_tone(CHNL orgChnl, CHNL destChnl, BYTE tone , BYTE duration);

#endif
